- Main Page
- Modules
- Classes
- Files

# Pixel

## Functions
bool | CxImage::IsInside (int32_t x, int32_t y)
bool | CxImage::IsTransparent (int32_t x, int32_t y)
bool | CxImage::GetTransparentMask (CxImage *iDst=0)
RGBQUAD | CxImage::GetPixelColor (int32_t x, int32_t y, bool bGetAlpha=true)
uint8_t | CxImage::GetPixelIndex (int32_t x, int32_t y)
uint8_t | CxImage::GetPixelGray (int32_t x, int32_t y)
void | CxImage::SetPixelColor (int32_t x, int32_t y, RGBQUAD c, bool bSetAlpha=false)
void | CxImage::SetPixelColor (int32_t x, int32_t y, COLORREF cr)
void | CxImage::SetPixelIndex (int32_t x, int32_t y, uint8_t i)
void | CxImage::DrawLine (int32_t StartX, int32_t EndX, int32_t StartY, int32_t EndY, RGBQUAD color, bool bSetAlpha=false)
void | CxImage::DrawLine (int32_t StartX, int32_t EndX, int32_t StartY, int32_t EndY, COLORREF cr)
void | CxImage::BlendPixelColor (int32_t x, int32_t y, RGBQUAD c, float blend, bool bSetAlpha=false)

## Detailed Description

## Function Documentation

void CxImage::BlendPixelColor | ( | int32_t | x,
|  | int32_t | y,
|  | RGBQUAD | c,
|  | float | blend,
|  | bool | bSetAlpha = `false` |
| ) |  |  | `[inherited]`

Blends the current pixel color with a new color.

Parameters:

  | x,y | = pixel
  | c | = new color
  | blend | = can be from 0 (no effect) to 1 (full effect).
  | bSetAlpha | = if true, blends also the alpha component stored in c.rgbReserved

void CxImage::DrawLine | ( | int32_t | StartX,
|  | int32_t | EndX,
|  | int32_t | StartY,
|  | int32_t | EndY,
|  | COLORREF | cr |
| ) |  |  | `[inherited]`

void CxImage::DrawLine | ( | int32_t | StartX,
|  | int32_t | EndX,
|  | int32_t | StartY,
|  | int32_t | EndY,
|  | RGBQUAD | color,
|  | bool | bSetAlpha = `false` |
| ) |  |  | `[inherited]`

RGBQUAD CxImage::GetPixelColor | ( | int32_t | x,
|  | int32_t | y,
|  | bool | bGetAlpha = `true` |
| ) |  |  | `[inherited]`

uint8_t CxImage::GetPixelGray | ( | int32_t | x,
|  | int32_t | y |
| ) |  |  | `[inherited]`

uint8_t CxImage::GetPixelIndex | ( | int32_t | x,
|  | int32_t | y |
| ) |  |  | `[inherited]`

Returns the palette index of the specified pixel.

bool CxImage::GetTransparentMask | ( | CxImage * | iDst = `0` | ) | `[inherited]`

bool CxImage::IsInside | ( | int32_t | x,
|  | int32_t | y |
| ) |  |  | `[inherited]`

Checks if the coordinates are inside the image

Returns:
  true if x and y are both inside the image

bool CxImage::IsTransparent | ( | int32_t | x,
|  | int32_t | y |
| ) |  |  | `[inherited]`

void CxImage::SetPixelColor | ( | int32_t | x,
|  | int32_t | y,
|  | COLORREF | cr |
| ) |  |  | `[inherited]`

void CxImage::SetPixelColor | ( | int32_t | x,
|  | int32_t | y,
|  | RGBQUAD | c,
|  | bool | bSetAlpha = `false` |
| ) |  |  | `[inherited]`

void CxImage::SetPixelIndex | ( | int32_t | x,
|  | int32_t | y,
|  | uint8_t | i |
| ) |  |  | `[inherited]`